获取用户收藏笔记列表/Get user faved notes
Run in Apifox
[中文]# 用途:# ⚠️ 计费提示:# 如果传入错误或不存在的用户ID(或分享链接解析失败),接口仍会正常响应,但 data 中会返回上游"服务异常"信息,该请求 同样会正常计费扣费 ,请在 调用前确保参数有效。
参数:# user_id: 用户ID,如 "5a8cf39111be10466d285d6b"
share_text: 小红书分享链接,支持APP和Web端分享链接,支持 xiaohongshu.com 长链接、xhslink.com 和 xhslink.cn 短链接
优先使用user_id,如果没有则使用share_text,两个参数二选一,如都携带则以user_id为准。
cursor: 分页游标,首次请求留空,翻页时传入上一页列表中最后一条笔记的 note_id
返回:# 翻页说明:# 翻页 请求:传入上一页列表中最后一条笔记的 note_id
[English]# Purpose:# Get list of notes faved by a specified user, using cursor pagination
⚠️ Billing Notice:# If a wrong or non-existent user ID is passed (or the share link fails to parse), the endpoint still responds normally, but the data field will contain an upstream "service error" message. Such requests will still be billed as normal . Please make sure the parameters are valid before calling.
Parameters:# user_id: User ID, e.g. "5a8cf39111be10466d285d6b"
share_text: Xiaohongshu sharing link, supports APP and Web sharing links, including xiaohongshu.com full links, xhslink.com and xhslink.cn short links
Prefer to use user_id, if not, use share_text, one of the two parameters is required, if both are carried, user_id shall prevail.
cursor: Pagination cursor, leave empty for first request, pass last note_id from previous page for next page
Return:# User faved notes list data, including basic note info and pagination info
First request: leave cursor empty
Next page: pass last note_id from previous page
[示例/Example]# user_id="5a8cf39111be10466d285d6b" Request Provide your bearer token in the Authorization
header when making requests to protected resources. Example: Authorization: Bearer ********************
or
Request Code Samples
curl --location 'https://api.tikomni.com/api/u1/v1/xiaohongshu/app_v2/get_user_faved_notes?user_id=5a8cf39111be10466d285d6b&share_text=https%3A%2F%2Fxhslink.com%2Fa%2FEZ4M9TwMA6c3&cursor=' \
--header 'Authorization: Bearer <token>' Modified at 2026-08-29 22:56:33